var search_data = {"index":{"searchIndex":["quaternion","*()","+()","-()","/()","==()","[]()","[]=()","coerce()","conjugate()","inspect()","inverse()","magnitude()","new()","norm()","normalize()","normalize!()","rotate()","rotation()","to_s()","to_vector()"],"longSearchIndex":["quaternion","quaternion#*()","quaternion#+()","quaternion#-()","quaternion#/()","quaternion#==()","quaternion#[]()","quaternion#[]=()","quaternion#coerce()","quaternion#conjugate()","quaternion#inspect()","quaternion#inverse()","quaternion#magnitude()","quaternion::new()","quaternion#norm()","quaternion#normalize()","quaternion#normalize!()","quaternion#rotate()","quaternion::rotation()","quaternion#to_s()","quaternion#to_vector()"],"info":[["Quaternion","","Quaternion.html","","<p>Class for Quaternion calculation.\n"],["*","Quaternion","Quaternion.html#method-i-2A","(other)","<p>Returns product with <code>other</code>. <code>other</code> can be Quaternion or Numeric.\n\n<pre class=\"ruby\"><span class=\"ruby-identifier\">q</span> = <span class=\"ruby-constant\">Quaternion</span>.<span class=\"ruby-identifier\">new</span>(<span class=\"ruby-value\">1.0</span>, <span class=\"ruby-value\">2.0</span>, <span class=\"ruby-value\">3.0</span>, <span class=\"ruby-value\">4.0</span>) <span class=\"ruby-operator\">...</span>\n</pre>\n"],["+","Quaternion","Quaternion.html#method-i-2B","(other)","<p>Returns result of addition.\n\n<pre>q1 = Quaternion.new(1.0, 2.0, 3.0, 4.0)\nq2 = Quaternion.new(5.0, 6.0, 7.0, ...</pre>\n"],["-","Quaternion","Quaternion.html#method-i-2D","(other)","<p>Returns result of subtraction\n\n<pre>q1 = Quaternion.new(1.0, 2.0, 3.0, 4.0)\nq2 = Quaternion.new(5.0, 4.0, 3.0, ...</pre>\n"],["/","Quaternion","Quaternion.html#method-i-2F","(other)","<p>Devision by a scalar <code>other</code>. Returns Quaternion with each element is divided by <code>other</code>.\n\n<pre>q = Quaternion.new(1.0, ...</pre>\n"],["==","Quaternion","Quaternion.html#method-i-3D-3D","(other)","<p>Compares with other Quaternion\n"],["[]","Quaternion","Quaternion.html#method-i-5B-5D","(i)","<p>Returns element <code>i</code>.\n\n<pre class=\"ruby\"><span class=\"ruby-identifier\">q</span> = <span class=\"ruby-constant\">Quaternion</span>.<span class=\"ruby-identifier\">new</span>(<span class=\"ruby-value\">1.0</span>, <span class=\"ruby-value\">2.0</span>, <span class=\"ruby-value\">3.0</span>, <span class=\"ruby-value\">4.0</span>)\n<span class=\"ruby-identifier\">q</span>[<span class=\"ruby-value\">0</span>]  <span class=\"ruby-comment\"># =&gt; 1.0</span>\n<span class=\"ruby-identifier\">q</span>[<span class=\"ruby-value\">:w</span>] <span class=\"ruby-comment\"># =&gt; 1.0</span>\n<span class=\"ruby-identifier\">q</span>[<span class=\"ruby-value\">:x</span>] <span class=\"ruby-comment\"># =&gt; 2.0 ...</span>\n</pre>\n"],["[]=","Quaternion","Quaternion.html#method-i-5B-5D-3D","(i, var)","<p>Sets <code>var</code> to element <code>i</code>\n\n<pre class=\"ruby\"><span class=\"ruby-identifier\">q</span> = <span class=\"ruby-constant\">Quaternion</span>.<span class=\"ruby-identifier\">new</span>(<span class=\"ruby-value\">1.0</span>, <span class=\"ruby-value\">2.0</span>, <span class=\"ruby-value\">3.0</span>, <span class=\"ruby-value\">4.0</span>)\n<span class=\"ruby-identifier\">q</span>[<span class=\"ruby-value\">0</span>] = <span class=\"ruby-value\">0.0</span>\n<span class=\"ruby-identifier\">q</span> <span class=\"ruby-comment\"># =&gt; Quaternion(0.0; Vector[2.0, ...</span>\n</pre>\n"],["coerce","Quaternion","Quaternion.html#method-i-coerce","(n)","<p>Inverts order of multiplication, so our math methods will be used for types that don&#39;t know how to …\n"],["conjugate","Quaternion","Quaternion.html#method-i-conjugate","()","<p>Returns conjugate of <code>self</code>\n\n<pre class=\"ruby\"><span class=\"ruby-identifier\">q</span> = <span class=\"ruby-constant\">Quaternion</span>.<span class=\"ruby-identifier\">new</span>(<span class=\"ruby-value\">1.0</span>, <span class=\"ruby-value\">2.0</span>, <span class=\"ruby-value\">3.0</span>, <span class=\"ruby-value\">4.0</span>)\n<span class=\"ruby-identifier\">q</span>.<span class=\"ruby-identifier\">conjugate</span> <span class=\"ruby-comment\"># =&gt; Quaternion(1.0; Vector[-2.0, ...</span>\n</pre>\n"],["inspect","Quaternion","Quaternion.html#method-i-inspect","()","<p>Returns string expression of self\n\n<pre class=\"ruby\"><span class=\"ruby-identifier\">q</span> = <span class=\"ruby-constant\">Quaternion</span>.<span class=\"ruby-identifier\">new</span>(<span class=\"ruby-value\">1.0</span>, <span class=\"ruby-value\">2.0</span>, <span class=\"ruby-value\">3.0</span>, <span class=\"ruby-value\">4.0</span>)\n<span class=\"ruby-identifier\">q</span>.<span class=\"ruby-identifier\">inspect</span> <span class=\"ruby-comment\"># =&gt; &quot;Quaternion(1.0; ...</span>\n</pre>\n"],["inverse","Quaternion","Quaternion.html#method-i-inverse","()","<p>Returns inverse of <code>self</code>.\n\n<pre class=\"ruby\"><span class=\"ruby-identifier\">q</span> = <span class=\"ruby-constant\">Quaternion</span>.<span class=\"ruby-identifier\">new</span>(<span class=\"ruby-value\">1.0</span>, <span class=\"ruby-value\">2.0</span>, <span class=\"ruby-value\">3.0</span>, <span class=\"ruby-value\">4.0</span>)\n<span class=\"ruby-identifier\">q</span>.<span class=\"ruby-identifier\">inverse</span> <span class=\"ruby-comment\"># =&gt; Quaternion(0.03333333333333333; ...</span>\n</pre>\n"],["magnitude","Quaternion","Quaternion.html#method-i-magnitude","()",""],["new","Quaternion","Quaternion.html#method-c-new","(*vars)","<p>Returns an instance of Quaternion. The following code instanciate a quaternion of q0 + q1 <em>i</em> + q2 <em>j</em> + …\n"],["norm","Quaternion","Quaternion.html#method-i-norm","()","<p>Returns norm of <code>self</code>\n\n<pre class=\"ruby\"><span class=\"ruby-identifier\">q</span> = <span class=\"ruby-constant\">Quaternion</span>.<span class=\"ruby-identifier\">new</span>(<span class=\"ruby-value\">1.0</span>, <span class=\"ruby-value\">2.0</span>, <span class=\"ruby-value\">3.0</span>, <span class=\"ruby-value\">4.0</span>)\n<span class=\"ruby-identifier\">q</span>.<span class=\"ruby-identifier\">norm</span> <span class=\"ruby-comment\"># =&gt; 5.477225575051661</span>\n</pre>\n"],["normalize","Quaternion","Quaternion.html#method-i-normalize","()","<p>Returns normailzed Quaternion\n\n<pre class=\"ruby\"><span class=\"ruby-identifier\">q</span> = <span class=\"ruby-constant\">Quaternion</span>.<span class=\"ruby-identifier\">new</span>(<span class=\"ruby-value\">1.0</span>, <span class=\"ruby-value\">2.0</span>, <span class=\"ruby-value\">3.0</span>, <span class=\"ruby-value\">4.0</span>)\n<span class=\"ruby-identifier\">q</span>.<span class=\"ruby-identifier\">normalize</span> <span class=\"ruby-comment\"># =&gt; Quaternion(0.18257418583505536; ...</span>\n</pre>\n"],["normalize!","Quaternion","Quaternion.html#method-i-normalize-21","()","<p>Destructive method of Quaternion#normalize\n"],["rotate","Quaternion","Quaternion.html#method-i-rotate","(v)","<p>Rotates a point <code>v</code>. This method does not check if the quaternion&#39;s norm is 1 or not.\n\n<pre>qrot = Quaternion.rotation([1.0, ...</pre>\n"],["rotation","Quaternion","Quaternion.html#method-c-rotation","(axis, theta)","<p>Returns an instance of Quaternion for rotateion aroud <code>axis</code> with angle <code>theta</code>.\n\n<pre>qrot = Quaternion.rotation([1.0, ...</pre>\n"],["to_s","Quaternion","Quaternion.html#method-i-to_s","()",""],["to_vector","Quaternion","Quaternion.html#method-i-to_vector","(v)",""]]}}